package com.yeejoin.amos.maintenance.business.dto;

import org.assertj.core.util.Lists;

import java.util.List;
import java.util.Map;

public class DepartmentUserTreeDto {

    private String departmentName;

    private String departmentNbr;

    private int departmentUserCount = 0;

    private List<DepartmentUserTreeDto> departments = Lists.newArrayList();

    private List<Map<String, String>> users = Lists.newArrayList();

    public String getDepartmentName() {
        return departmentName;
    }

    public void setDepartmentName(String departmentName) {
        this.departmentName = departmentName;
    }

    public String getDepartmentNbr() {
        return departmentNbr;
    }

    public void setDepartmentNbr(String departmentNbr) {
        this.departmentNbr = departmentNbr;
    }

    public int getDepartmentUserCount() {
        return departmentUserCount;
    }

    public void setDepartmentUserCount(int departmentUserCount) {
        this.departmentUserCount = departmentUserCount;
    }

    public List<DepartmentUserTreeDto> getDepartments() {
        return departments;
    }

    public void setDepartments(List<DepartmentUserTreeDto> departments) {
        this.departments = departments;
    }

    public List<Map<String, String>> getUsers() {
        return users;
    }

    public void setUsers(List<Map<String, String>> users) {
        this.users = users;
    }
}
